Update multiple matrices status
curl --request POST \
--url https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-status-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"matrixIds": [
"9e443675-cf01-4f62-80f1-9a550f9ca93a",
"39b90375-84e3-44f1-ac58-0c30bd0d0c0c"
],
"matrixStatusId": "c2576170-4b16-4d4f-84ac-65f0159008e3"
}
'import requests
url = "https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-status-update"
payload = {
"matrixIds": ["9e443675-cf01-4f62-80f1-9a550f9ca93a", "39b90375-84e3-44f1-ac58-0c30bd0d0c0c"],
"matrixStatusId": "c2576170-4b16-4d4f-84ac-65f0159008e3"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
matrixIds: ['9e443675-cf01-4f62-80f1-9a550f9ca93a', '39b90375-84e3-44f1-ac58-0c30bd0d0c0c'],
matrixStatusId: 'c2576170-4b16-4d4f-84ac-65f0159008e3'
})
};
fetch('https://staging.api.us.aptlydone.com/matrix/v1/matrix/bulk-status-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 200,
"timestamp": "2026-01-08T06:33:22.023Z",
"message": "Success",
"data": {
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}
}{
"successCount": 5,
"failureCount": 0,
"successIds": [
"a56a024f-fd34-4a20-9acd-e37cd0cc0eaf",
"187a4a3b-1143-4d28-ac91-27abaa792198"
],
"failures": {
"059e7d97-73cf-452d-a306-55d9a920dfae": "Matrix not found",
"170dea67-879a-4a91-9adb-a6e485833efe": "Unauthorized operation"
}
}Matrices
Update multiple matrices status
POST
/
v1
/
matrix
/
bulk-status-update
Update multiple matrices status
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Was this page helpful?
āI